%define lang ru
%define name app-defaults-%{lang}
%define version 0.1
%define release 8mdk

Summary: X Resources for russification of some applications
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Internationalization
Source0: %{name}-%{version}.tar.bz2
Buildroot: %_tmppath/%{name}-root
Buildarch: noarch
Requires: XFree86
Requires: locales-%{lang}

%description
X Resources for russification of some applications like xman, xedit

%prep
%setup

%build
rm -f Netscape

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/%{lang}/app-defaults
cp -pf * $RPM_BUILD_ROOT/etc/X11/%{lang}/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/
ln -s ../../../../../etc/X11/%{lang} $RPM_BUILD_ROOT/usr/X11R6/lib/X11/%{lang}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%dir /etc/X11/%{lang}
%dir /etc/X11/%{lang}/app-defaults
%config /etc/X11/%{lang}/app-defaults/*
/usr/X11R6/lib/X11/%{lang}

# there may be a /usr/X11R6/lib/X11/%{lang}/ dir already
%pre
if [ -d /usr/X11R6/lib/X11/%{lang} -a ! -L /usr/X11R6/lib/X11/%{lang} ];
then
	mkdir -p /etc/X11/%{lang}/app-defaults
	cp -far /usr/X11R6/lib/X11/%{lang}/app-defaults/* \
		/etc/X11/%{lang}/app-defaults
	rmdir -rf /usr/X11R6/lib/X11/%{lang}
fi

%changelog
* Fri Aug 17 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-8mdk
- moved files to /etc/X11

* Fri Aug 17 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-7mdk
- moved files to /etc/X11

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.1-6mdk
- Use %%_tmppath for BuildRoot

* Thu Jun 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-5mdk
- added requires: locales-xx, and included the specific dirs in the package
- removed file 'Netscape' as it is not translated and may conflict
  with a future netscape-xxxx translation

* Mon Jan 10 2000 AEN <aen@logic.ru> 0.1-ipl4mdk
- Ted.ad changed

* Thu Nov 25 1999 AEN <aen@logic.ru>
- Xman added 

* Mon Nov 15 1999 AEN <aen@logic.ru>
- first spec
